package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemFilterChipsBindingImpl extends ItemFilterChipsBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final com.google.android.material.chip.ChipGroup mboundView0;
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemFilterChipsBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 1, sIncludes, sViewsWithIds));
    }
    private ItemFilterChipsBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            );
        this.mboundView0 = (com.google.android.material.chip.ChipGroup) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x8L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.onListFilterOptionSelected == variableId) {
            setOnListFilterOptionSelected((com.ustadmobile.core.util.OnListFilterOptionSelectedListener) variable);
        }
        else if (BR.selectedFilterOption == variableId) {
            setSelectedFilterOption((int) variable);
        }
        else if (BR.filterOptions == variableId) {
            setFilterOptions((java.util.List<com.ustadmobile.core.util.IdOption>) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setOnListFilterOptionSelected(@Nullable com.ustadmobile.core.util.OnListFilterOptionSelectedListener OnListFilterOptionSelected) {
        this.mOnListFilterOptionSelected = OnListFilterOptionSelected;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.onListFilterOptionSelected);
        super.requestRebind();
    }
    public void setSelectedFilterOption(int SelectedFilterOption) {
        this.mSelectedFilterOption = SelectedFilterOption;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.selectedFilterOption);
        super.requestRebind();
    }
    public void setFilterOptions(@Nullable java.util.List<com.ustadmobile.core.util.IdOption> FilterOptions) {
        this.mFilterOptions = FilterOptions;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.filterOptions);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.core.util.OnListFilterOptionSelectedListener onListFilterOptionSelected = mOnListFilterOptionSelected;
        int selectedFilterOption = mSelectedFilterOption;
        java.util.List<com.ustadmobile.core.util.IdOption> filterOptions = mFilterOptions;

        if ((dirtyFlags & 0x9L) != 0) {
        }
        if ((dirtyFlags & 0xaL) != 0) {
        }
        if ((dirtyFlags & 0xcL) != 0) {
        }
        // batch finished
        if ((dirtyFlags & 0xcL) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ChipGroupBindingsKt.setChipIdOptions(this.mboundView0, filterOptions);
        }
        if ((dirtyFlags & 0x9L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ChipGroupBindingsKt.setOnFilterOptionSelected(this.mboundView0, onListFilterOptionSelected);
        }
        if ((dirtyFlags & 0xaL) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ChipGroupBindingsKt.setSelectedIdOption(this.mboundView0, selectedFilterOption);
        }
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): onListFilterOptionSelected
        flag 1 (0x2L): selectedFilterOption
        flag 2 (0x3L): filterOptions
        flag 3 (0x4L): null
    flag mapping end*/
    //end
}